%% This is a script that creates a matlab Generic cluster profile

remote_cluster = parallel.cluster.Generic;
remote_cluster.AdditionalProperties.ClusterHost = 'aristotle.it.auth.gr';

% windows client to unix client
remote_cluster.JobStorageLocation = struct('windows', ...
 'C:\Users\omen\Documents\MATLAB\matlab_slurm','unix','/mnt/scratch_b/users/k/karakoul/matlab_remote');

% number of workers
remote_cluster.NumWorkers = 1024;

% location of matlab root
remote_cluster.ClusterMatlabRoot = '/mnt/apps/prebuilt/matlab/R2022b';

% hpc operating system
remote_cluster.OperatingSystem = 'unix';

% there is not shared file system
remote_cluster.HasSharedFilesystem = false;

% the location of the PLugin scripts
remote_cluster.PluginScriptsLocation = '--Location of plugin scripts--';

% storage location to cluster
remote_cluster.AdditionalProperties.RemoteJobStorageLocation = '/mnt/scratch_b/users/...';

% insert the name of the partition we want to use
remote_cluster.AdditionalProperties.Partition = '--Insert Partition--';

% the number of nodes we want to use
remote_cluster.AdditionalProperties.NumberOfNodes = string(1);

% the maximum time
remote_cluster.AdditionalProperties.Time = '00:05:00';

% save thos profile
saveAsProfile(remote_cluster, 'remote_cluster');
